Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 236784 - sys-apps/hal-0.5.11*: patch for not mounting Dell recovery partition
Summary: sys-apps/hal-0.5.11*: patch for not mounting Dell recovery partition
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Tony Vroon
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-05 10:35 UTC by Pacho Ramos
Modified: 2009-02-04 12:46 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
hal-0.5.11-hide-dell-recovery.patch (hal-0.5.11-hide-dell-recovery.patch,587 bytes, patch)
2008-09-05 10:36 UTC, Pacho Ramos
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2008-09-05 10:35:12 UTC
The attached patch prevent hal from automounting Dell recovery partition (and any ntfs partition with label "RECOVERY")

Thanks


Reproducible: Always
Comment 1 Pacho Ramos gentoo-dev 2008-09-05 10:36:04 UTC
Created attachment 164637 [details, diff]
hal-0.5.11-hide-dell-recovery.patch
Comment 2 Pacho Ramos gentoo-dev 2008-10-01 10:42:30 UTC
Just accepted by upstream and fixed in hal trunk :-)
Comment 3 Tony Vroon gentoo-dev 2009-02-03 17:08:43 UTC
Excellent work, sorry it took so long for this bug to be acknowledged. Adding to "4" patchset as patch number 12.
Comment 4 Pacho Ramos gentoo-dev 2009-02-03 18:19:19 UTC
(In reply to comment #3)
> Excellent work, sorry it took so long for this bug to be acknowledged. Adding
> to "4" patchset as patch number 12.
> 

No problem, I know it's sometimes difficult to have free time for all this :-)
Comment 5 Tony Vroon gentoo-dev 2009-02-04 12:46:54 UTC
+*hal-0.5.11-r7 (04 Feb 2009)
+
+  04 Feb 2009; <chainsaw@gentoo.org> metadata.xml, +hal-0.5.11-r7.ebuild:
+  Avoid circular dependencies between HAL and X by dropping migration script
+  and py86 dependency, closes bug #225091 by Ster0n <er0trashbox@gmail.com>.
+  Properly ignore Dell recovery partitions, patch supplied by Pacho Ramos
+  <pacho@condmat1.ciencias.uniovi.es> in bug #236784. Stop hiding unmounted
+  partitions, as suggested by Kirill Igorevich Cherniy
+  <kirill_i_cherniy@rambler.ru> in bug #247025. Upstream patch identified by
+  Rafael <rktspm@gmail.com> fixes detection of partitions over ~1.2TB in
+  size, closes bug #253815 by Yar Odin <yarodin@gmail.com>. Cease using
+  deprecated keys in our installed examples, as pointed out by Sebastian
+  Günther <samson@guenther-roetgen.de> in bug #256304.